PAMI\Message\Event\Factory\Impl\EventFactoryImpl
===============

This factory knows which event to return according to a given raw message
from ami.

PHP Version 5


* Class name: EventFactoryImpl
* Namespace: PAMI\Message\Event\Factory\Impl







Methods
-------


### createFromRaw

    \PAMI\Message\Event\EventMessage PAMI\Message\Event\Factory\Impl\EventFactoryImpl::createFromRaw(string $message)

This is our factory method.



* Visibility: **public**
* This method is **static**.


#### Arguments
* $message **string** - &lt;p&gt;Literall message as received from ami.&lt;/p&gt;



### __construct

    void PAMI\Message\Event\Factory\Impl\EventFactoryImpl::__construct()

Constructor. Nothing to see here, move along.



* Visibility: **public**



